package com.jeequan.jeepay.core.model.openapi.biz.scan;

import com.jeequan.jeepay.core.entity.PayOrder;
import com.jeequan.jeepay.core.model.openapi.biz.PayResultResp;
import com.jeequan.jeepay.core.model.rqrs.msg.ChannelJsapiMsg;
import com.jeequan.jeepay.core.model.rqrs.payorder.UnifiedOrderRS;
import lombok.Data;
import lombok.Getter;
import lombok.NoArgsConstructor;
import lombok.Setter;

/**
 * TODO
 *
 * @author crystal
 * @date 2024/4/12 10:16
 */
@Getter
@Setter
public class ScanBizResp extends PayResultResp {

    private ChannelJsapiMsg payInfo;

    public ScanBizResp(PayOrder payOrder,String url) {
        super(payOrder);
        ChannelJsapiMsg  jsapiMsg = new ChannelJsapiMsg();
        jsapiMsg.setQrCodeUrl(url);
        this.payInfo = jsapiMsg;
    }
}
